%define __kde4_alternate_placement 1

%define rname kdeedu
Name: kde4edu
%define major 4
%define minor 1
%define bugfix 3
Version: %major.%minor.%bugfix
Release: alt0.M41.1

Group: Graphical desktop/KDE
Summary: Free Educational Software based on the KDE technologies
License: GPL
Url: http://edu.kde.org

Requires: %name-blinken = %version-%release
Requires: %name-kalgebra = %version-%release
Requires: %name-kalzium = %version-%release
Requires: %name-kanagram = %version-%release
Requires: %name-kbruch = %version-%release
Requires: %name-kgeography = %version-%release
Requires: %name-khangman = %version-%release
Requires: %name-kig = %version-%release
Requires: %name-kiten = %version-%release
Requires: %name-klettres = %version-%release
Requires: %name-kmplot = %version-%release
Requires: %name-kpercentage = %version-%release
Requires: %name-kstars = %version-%release
Requires: %name-ktouch = %version-%release
Requires: %name-kturtle = %version-%release
Requires: %name-parley = %version-%release
Requires: %name-kwordquiz = %version-%release
Requires: %name-step = %version-%release
Requires: %name-marble = %version-%release

Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar
Patch1: kdeedu-4.1.1-alt-marble-install.patch

# Automatically added by buildreq on Thu Oct 16 2008 (-bi)
#BuildRequires: boost-python-devel eigen facile gcc-c++ getfemxx indilib-devel kde4base-runtime kde4base-workspace-devel libXScrnSaver-devel libXcomposite-devel libXft-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libbfd-devel libcfitsio-devel libcln-devel libgmp-devel libgsl-devel libjpeg-devel libncurses-devel libnova-devel libopenbabel-devel libpth-devel libqalculate-devel libreadline-devel libusb-devel libxkbfile-devel libxslt-devel nvidia_glx_177.80 openbabel python-modules-encodings rpm-build-ruby subversion xorg-xf86vidmodeproto-devel xsltproc
BuildRequires: python-modules-encodings python-devel boost-devel boost-python-devel eigen facile gcc-c++ getfemxx indilib-devel
BuildRequires: libbfd-devel libcfitsio-devel libcln-devel libgmp-devel libgsl-devel libjpeg-devel libncurses-devel libnova-devel
BuildRequires: libpth-devel libqalculate-devel libreadline-devel libusb-devel
BuildRequires: xorg-devel
BuildRequires: libxslt-devel xsltproc libopenbabel-devel >= 2.2 openbabel
BuildRequires: kde4base-runtime >= %version kde4base-workspace-devel >= %version

%description
%name metapackage, which contains:
* blinken: Simon Says Game
* kalgebra: MathML-based graph calculator
* kbruch: Exercise Fractions
* kgeography: Geography Trainer
* khangman: Hangman Game
* kig: Interactive Geometry
* kiten: Japanese Reference/Study Tool
* klettres: French alphabet tutor
* kmplot: Mathematical Function Plotter
* kpercentage: Excersie Percentages
* ktouch: Touch Typing Tutor
* kturtle: Logo Programming Environment
* kvoctrain: Vocabulary Trainer
* kwordquiz: Vocabulary Trainer
* marble: Virtual Globe

%package common
Summary: %name common package
Group: System/Configuration/Other
#Requires: kde4libs-core
%description common
Common package for %name

%package core
Summary: %name core files
Group: Graphical desktop/KDE
#Requires: kde4libs-core
Requires: %name-common = %version-%release
%description core
Core files for %name

%package blinken
Summary: Simon Says Game
Url: http://edu.kde.org/blinken
Group: Games/Educational
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description blinken
Blinken is the KDE version of the well-known game Simon Says.
Follow the pattern of sounds and lights as long as you can! Press the
start game button to begin. Watch the computer and copy the pattern it
makes. Complete the sequence in the right order to win.

%package 	kalgebra
Summary: MathML-based graph calculator
Url: http://edu.kde.org/kalgebra
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kalgebra
KAlgebra is a mathematical calculator based content markup MathML
language. Nowadays it is capable to make simple MathML operations
(arithmetic and logical) and representate 2D and 3D graphs. It is
actually not necessary to know MathML to use KAlgebra.

%package kalzium
Summary: Shows the periodic system of the elements
Url: http://edu.kde.org/kalzium
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kalzium
Kalzium is an application which will show you some information about the
periodic system of the elements. Therefore you could use it as an
information database.

%package -n libcompoundviewer4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libcompoundviewer4
KDE 4 library

%package -n libavogadro4_kalzium
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libavogadro4_kalzium
KDE 4 library

%package 	kanagram
Summary: Word learning program
Url: http://edu.kde.org/kanagram
Group: Games/Educational
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kanagram
Kanagram is a replacement for KMessedWords. Kanagram mixes up the letters
of a word (creating an anagram), and you have to guess what the mixed up
word is. Kanagram features several built-in word lists, hints, and a cheat
feature which reveals the original word. Kanagram also has a vocabulary
editor, so you can make your own vocabularies, and distribute them through
Kanagram's KNewStuff download service.

%package kbruch
Summary: Practice calculating with fractions
Url: http://edu.kde.org/kbruch
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kbruch
KBruch is a small program to practice calculating with fractions.

%package kgeography
Summary: A geography learning program
Url: http://edu.kde.org/kgeography
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kgeography
KGeography is a geography learning program.

%package khangman
Summary: Classical hangman game
Url: http://edu.kde.org/khangman
Group: Games/Educational
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description khangman
KHangman is the classical hangman game. The child should guess a word
letter by letter. At each miss, the picture of a hangman appears. After
10 tries, if the word is not guessed, the game is over and the answer
is displayed.

%package kig
Summary: A program for exploring geometric constructions
Url: http://edu.kde.org/kig
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kig
Kig is a program for exploring geometric constructions.

%package kiten
Summary: A Japanese reference/learning tool
Url: http://edu.kde.org/kiten/
Group: Games/Educational
Requires: %{get_dep kde4libs}
Requires: %name-core = %version
%description kiten
Kiten is a Japanese reference/learning tool.

Kiten features:
* Search with english keyword, Japanese reading, or a Kanji string on a
  list of EDICT files.
* Search with english keyword, Japanese reading, number of strokes, grade
  number, or a Kanji on a list of KANJIDIC files.
* Comes with all necessary files.
* Very fast.
* Limit searches to only common entries.
* Nested searches of results possible.
* Compact, small, fast interface.
* Global KDE keybindings for searching highlighted strings.
* Learning dialog. (One can even open up multiple ones and have them sync
  between each other.)
* Browse Kanji by grade.
* Add Kanji to a list for later learning.
* Browse list, and get quizzed on them.

%package -n libkiten4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libkiten4
KDE 4 library

%package klettres
Summary: Language learning program
Url: http://edu.kde.org/klettres/
Group: Games/Educational
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description klettres
KLettres aims to help to learn the alphabet and then to read some syllables
in different languages. It is meant to help learning the very first sounds
of a new language, for children or for adults.

%package kmplot
Summary: A mathematical function plotter
Url: http://edu.kde.org/kmplot
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kmplot
KmPlot is a mathematical function plotter for the KDE-Desktop.

It has built in a powerfull parser. You can plot different functions
simultaneously and combine their function terms to build new functions.
KmPlot supports functions with parameters and functions in polar
coordinates. Several grid modes are possible. Plots may be printed with
high precision in correct scale.

%package kpercentage
Summary: Percentages training program
Url: http://edu.kde.org/kpercentage/
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kpercentage
KPercentage is a small math application that will help pupils to improve
their skills in calculating percentages.

%package kstars
Summary: A Desktop Planetarium
Url: http://edu.kde.org/kstars
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kstars
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time. The display includes 130,000 stars, 13,000 deep-sky objects,all 8
planets, the Sun and Moon, and thousands of comets and asteroids.

%package -n libanalitza4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libanalitza4
KDE 4 library

%package -n libsatlib4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libsatlib4
KDE 4 library

%package -n libsbigudrv4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libsbigudrv4
KDE 4 library

%package ktouch
Summary: A program for learning touch typing
Url: http://edu.kde.org/ktouch
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description ktouch
KTouch is a program for learning touch typing. KTouch is a way to learn
to type on a keyboard quickly and correctly. Every finger has its place
on the keyboard with associated keys to press.

KTouch helps you learn to touch typing by providing you with something
to write. KTouch can also help you to remember what fingers to use.

%package kturtle
Summary: An educational programming environment
Url: http://edu.kde.org/kturtle
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kturtle
KTurtle is an educational programming environment for the KDE Desktop.
KTurtle aims to make programming as easy and touchable as possible, and
therefore can be used to teach kids the basics of math, geometry
and... programming.

%package parley
Summary: KDE Vocabulary training application
Url: http://edu.kde.org/parley
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description parley
Parley is a program to help you memorize things.

Parley supports many language specific features but can be used for other
learning tasks just as well. It uses the spaced repetition learning method,
also known as flash cards.

%package kwordquiz
Summary: A general purpose flash card program
Url: http://edu.kde.org/kwordquiz
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kwordquiz
KWordQuiz is a general purpose flash card program. It can be used for
vocabulary learning and many other subjects. If you need more advanced
language learning features, please try KVocTrain.

%package step
Summary: Interactive physical simulator
Url: http://edu.kde.org/step
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description step
Step is an interactive physical simulator. It works like this:
you place some bodies on the scene, add some forces such as gravity
or springs, then click "Simulate" and Step shows you how your scene
will evolve according to the laws of physics. You can change every
property of bodies/forces in your experiment (even during simulation)
and see how this will change evolution of the experiment. With Step
you can not only learn but feel how physics works !

%package -n libscience4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libscience4
KDE 4 library

%package -n libkdeeduui4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libkdeeduui4
KDE 4 library

%package -n libkeduvocdocument4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libkeduvocdocument4
KDE 4 library

%package -n libmarblewidget4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libmarblewidget4
KDE 4 library

%package marble
Summary: A virtual globe and world atlas
Url: http://edu.kde.org/marble
Group: Education
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description marble
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and QT
Requires: kde4libs-devel
Requires: %name-common = %version-%release
%description devel
Files needed to build applications based on %name.


%prep
%setup -q -n %rname-%version
%patch1 -p1

%build
export CFLAGS="${optflags} -DOCAMLIB=%_libdir/ocaml"
export CPPFLAGS="${optflags} -DOCAMLIB=%_libdir/ocaml "
%K4cmake \
    -DNOVA_INCLUDE_DIR=%_includedir/libnova \
    -DNOVA_LIBRARIES="-lnova" \
    -DNOVA_FUNCTION_COMPILE:BOOL=true
%K4make


%install
%K4install

%post -n libcompoundviewer4
%post_ldconfig
%postun -n libcompoundviewer4
%postun_ldconfig
%post -n libavogadro4_kalzium
%post_ldconfig
%postun -n libavogadro4_kalzium
%postun_ldconfig
%post -n libkiten4
%post_ldconfig
%postun -n libkiten4
%postun_ldconfig
%post -n libanalitza4
%post_ldconfig
%postun -n libanalitza4
%postun_ldconfig
%post -n libsatlib4
%post_ldconfig
%postun -n libsatlib4
%postun_ldconfig
%post -n libsbigudrv4
%post_ldconfig
%postun -n libsbigudrv4
%postun_ldconfig
%post -n libscience4
%post_ldconfig
%postun -n libscience4
%postun_ldconfig
%post -n libkdeeduui4
%post_ldconfig
%postun -n libkdeeduui4
%postun_ldconfig
%post -n libkeduvocdocument4
%post_ldconfig
%postun -n libkeduvocdocument4
%postun_ldconfig
%post -n libmarblewidget4
%post_ldconfig
%postun -n libmarblewidget4
%postun_ldconfig


%files

%files common
%doc README

%files core
%__kde4_iconsdir/*/*/*/*.*
%_iconsdir/*/*/*/*.*
%_K4apps/libkdeedu

%files blinken
%_K4apps/blinken
%__kde4_bindir/blinken
%__kde4_xdg_apps/blinken.desktop
%_K4cfg/blinken.kcfg
%__kde4_doc/*/blinken

%files kalgebra
%__kde4_bindir/kalgebra
%__kde4_bindir/calgebra
%__kde4_xdg_apps/kalgebra.desktop
%_K4srv/kalgebraplasmoid.desktop
%_K4lib/plasma_applet_kalgebra.so
%__kde4_doc/*/kalgebra

%files kalzium
%__kde4_bindir/kalzium
%_K4apps/kalzium
%__kde4_xdg_apps/kalzium.desktop
%_K4cfg/kalzium.kcfg
%_K4conf/kalzium.knsrc
%_K4libdir/avogadro-kalzium
%_K4lib/plugins/designer/kalziumuiwidgets.so
%__kde4_doc/*/kalzium

%files -n libcompoundviewer4
%_K4libdir/libcompoundviewer.so.*

%files -n libavogadro4_kalzium
%_K4libdir/libavogadro-kalzium.so.*

%files kanagram
%_K4apps/kvtml
%_K4apps/kanagram
%__kde4_bindir/kanagram
%__kde4_xdg_apps/kanagram.desktop
%_K4cfg/kanagram.kcfg
%_K4conf/kanagram.knsrc
%__kde4_doc/*/kanagram

%files kbruch
%_K4apps/kbruch
%__kde4_bindir/kbruch
%__kde4_xdg_apps/kbruch.desktop
%_K4cfg/kbruch.kcfg
%__kde4_doc/*/kbruch

%files kgeography
%_K4apps/kgeography
%__kde4_bindir/kgeography
%__kde4_xdg_apps/kgeography.desktop
%_K4cfg/kgeography.kcfg
%__kde4_doc/*/kgeography

%files khangman
%_K4apps/khangman
%__kde4_bindir/khangman
%__kde4_xdg_apps/khangman.desktop
%_K4cfg/khangman.kcfg
%_K4conf/khangman.knsrc
%__kde4_doc/*/khangman

%files kig
%_K4apps/kig
%__kde4_bindir/kig
%__kde4_bindir/pykig.py
%_K4lib/kigpart.so
%__kde4_xdg_apps/kig.desktop
%_K4srv/kig_part.desktop
%_K4apps/katepart/syntax/python-kig.xml
%__kde4_doc/*/kig

%files kiten
%_K4apps/kiten
%_K4apps/kitenradselect
%__kde4_bindir/kiten
%__kde4_bindir/kitengen
%__kde4_bindir/kitenradselect
%__kde4_xdg_apps/kiten.desktop
%_K4cfg/kiten.kcfg
%__kde4_doc/*/kiten

%files -n libkiten4
%_K4libdir/libkiten.so.*

%files klettres
%_K4apps/klettres
%__kde4_bindir/klettres
%__kde4_xdg_apps/klettres.desktop
%_K4cfg/klettres.kcfg
%_K4conf/klettres.knsrc
%__kde4_doc/*/klettres

%files kmplot
%_K4apps/kmplot
%__kde4_bindir/kmplot
%_K4lib/libkmplotpart.so
%__kde4_xdg_apps/kmplot.desktop
%_K4cfg/kmplot.kcfg
%_K4srv/kmplot_part.desktop
%__kde4_doc/*/kmplot

%files kpercentage
%_K4apps/kpercentage
%__kde4_bindir/kpercentage
%__kde4_xdg_apps/kpercentage.desktop
%__kde4_doc/*/kpercentage

%files kstars
%_K4apps/kstars
%__kde4_bindir/indi_celestron_gps
%__kde4_bindir/indi_fli_ccd
%__kde4_bindir/indi_fli_pdf
%__kde4_bindir/indi_fli_wheel
%__kde4_bindir/indi_intelliscope
%__kde4_bindir/indi_lx200generic
%__kde4_bindir/indi_lx200basic
%__kde4_bindir/indi_meade_lpi
%__kde4_bindir/indi_orion_atlas
%__kde4_bindir/indi_robofocus
%__kde4_bindir/indi_sbig_ccd
%__kde4_bindir/indi_skycommander
%__kde4_bindir/indi_trutech_wheel
%__kde4_bindir/indi_v4l_generic
%__kde4_bindir/indi_v4l_philips
%__kde4_bindir/indi_apogee_alta
%__kde4_bindir/indiserver
%__kde4_bindir/indi_sbig_stv
%__kde4_bindir/indi_temma
%__kde4_bindir/kstars
%_K4libdir/libhtmesh.a
%__kde4_xdg_apps/kstars.desktop
%_K4cfg/kstars.kcfg
%_K4conf/kstars.knsrc
%__kde4_doc/*/kstars

%files -n libanalitza4
%_K4libdir/libanalitza.so.*

%files -n libsatlib4
%_K4libdir/libSatLib.so.*

#%files -n libsbigudrv4
#%_K4libdir/libsbigudrv.so.*

%files ktouch
%_K4apps/ktouch
%__kde4_bindir/ktouch
%__kde4_xdg_apps/ktouch.desktop
%_K4cfg/ktouch.kcfg
%__kde4_doc/*/ktouch

%files kturtle
%__kde4_bindir/kturtle
%_K4apps/kturtle
%__kde4_xdg_apps/kturtle.desktop
%__kde4_doc/*/kturtle

%files parley
%__kde4_bindir/parley
#%__kde4_bindir/parleypractice
%_K4apps/parley
%__kde4_xdg_apps/parley.desktop
%_K4srv/plasma-dataengine-parley.desktop
%_K4srv/plasma_parley.desktop
%_K4cfg/parley.kcfg
%_K4cfg/languagesettings.kcfg
%_K4cfg/documentsettings.kcfg
%_K4conf/parley.knsrc
%_K4lib/plasma_applet_parley.so
%_K4lib/plasma_engine_parley.so
%_K4apps/desktoptheme/default/widgets/parley_plasma_card.svg
%__kde4_doc/*/parley

%files kwordquiz
%_K4apps/kwordquiz
%__kde4_bindir/kwordquiz
%__kde4_xdg_apps/kwordquiz.desktop
%_K4cfg/kwordquiz.kcfg
%_K4conf/kwordquiz.knsrc
%__kde4_doc/*/kwordquiz

%files step
%__kde4_bindir/step
%__kde4_xdg_apps/step.desktop
%_K4apps/step
%_K4cfg/step.kcfg
%_K4conf/step.knsrc
%__kde4_doc/*/step

%files -n libscience4
%_K4libdir/libscience.so.*

%files -n libkdeeduui4
%_K4libdir/libkdeeduui.so.*

%files -n libkeduvocdocument4
%_K4libdir/libkeduvocdocument.so.*

%files -n libmarblewidget4
%_K4libdir/libmarblewidget.so.*

%files marble
%__kde4_bindir/marble
%__kde4_bindir/geodatatest
%__kde4_bindir/tilecreator
%_K4apps/marble
%_K4apps/marble_part
%_K4lib/libmarble_part.*
%_K4cfg/marble.kcfg
%__kde4_xdg_apps/marble.desktop
%_K4srv/marble_part.desktop
%__kde4_doc/*/marble
%_K4lib/plugins/marble

%files devel
%__kde4_libdir_link/*.so
%_K4includedir/*
%_K4apps/cmake/modules/*
%_K4dbus_interfaces/*

%changelog
* Fri Nov 14 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt0.M41.1
- built for M41

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Fri Oct 24 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt0.M41.1
- built for M41

* Fri Oct 17 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- initial specfile

